This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 982627 - missing merge backend for rpmconf causes fedora-upgrade to exit
missing merge backend for rpmconf causes fedora-upgrade to exit
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fedora-upgrade (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Suchý
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-09 08:40 EDT by Karel Volný
Modified: 2013-07-31 05:09 EDT (History)
2 users (show)

See Also:
Fixed In Version: fedora-upgrade-19.3-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-23 23:24:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karel Volný 2013-07-09 08:40:34 EDT
Description of problem:
Upgrading a system without any developer tools installed got interrupted when trying to merge config files.

Version-Release number of selected component (if applicable):
fedora-upgrade-19.1-1.fc18

How reproducible:
always

Steps to Reproduce:
1. install F18
2. yum remove vim-enhanced vim-X11 diffuse kdiff3 meld
3. yum install fedora-upgrade
4. fedora-upgrade
5. after install, you should get some .rpmnew files relevant to PAM, so go ahead to resolve them
6. in rpmconf prompt, press M for merge

Actual results:
Error: Invalid frontend for merge: None
See man page for valid list of frontends

(the upgrade process ends prematurely)

Expected results:
Error: Invalid frontend for merge: None
See man page for valid list of frontends

Warning: rpmconf failed, probably you don't have any merge tool, install one and retry?
Hit one of the following and Enter:
1) install vim-enhanced for vimdiff
2) install vim-X11 for gvimdiff
3) install diffuse
4) install kdiff3
5) install meld
S) skip this step

(the upgrade process then continues with resetting service priorities, listing unwanted packages, and whatever post-install steps)

Additional info:
maybe part of (or whole?) solution could be on rpmconf side (do not fail that hard), but I'd leave it to you to decide ...
Comment 1 Miroslav Suchý 2013-07-15 04:50:07 EDT
fedora-upgrade will use vimdiff.
Upstream commit 7139b84
Fixed in fedora-upgrade-19.3-1
Comment 2 Fedora Update System 2013-07-15 04:57:46 EDT
fedora-upgrade-19.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/fedora-upgrade-19.3-1.fc19
Comment 3 Fedora Update System 2013-07-15 21:27:00 EDT
Package fedora-upgrade-19.3-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fedora-upgrade-19.3-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-12999/fedora-upgrade-19.3-1.fc19
then log in and leave karma (feedback).
Comment 4 Karel Volný 2013-07-23 11:30:50 EDT
while vim-enhanced isn't that big dependency, wouldn't that be possible to depend on some virtual "mergetool" rather than forcing this one concrete, not allowing users to enjoy the tool of their choice?
(e.g. I prefer kdiff3, I don't have vim-enhanced installed at all)

- of course this would need also support in the respective packages as currently they do not provide such virtual
Comment 5 Miroslav Suchý 2013-07-23 13:39:01 EDT
I have to require *something*. Virtual provides does not exist (patches are welcome). And vimdiff is smallest dependency. I bet people will not like if fedora-upgrade would require kdiff3 :)
Comment 6 Fedora Update System 2013-07-23 23:24:00 EDT
fedora-upgrade-19.3-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-07-25 20:26:08 EDT
fedora-upgrade-19.3-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Karel Volný 2013-07-31 05:09:10 EDT
(In reply to Miroslav Suchý from comment #5)
> I have to require *something*. Virtual provides does not exist (patches are
> welcome).

see bug #990444

> And vimdiff is smallest dependency. I bet people will not like if
> fedora-upgrade would require kdiff3 :)

true, I'd be the first one to complain (if I hadn't kdiff3 installed already) ;-)

now I'm going to file a new RFE also for you ...

Note You need to log in before you can comment on or make changes to this bug.